#include "SysLocalService.h"

SysLocalService::SysLocalService()
{

}

QList<QMap<QString, QVariant>> SysLocalService::getInfomationTableColumns(QString tableName)
{
    SystemLocalDao dao;
    return dao.getInfomationTableColumns(tableName);
}

QMap<QString, QString> SysLocalService::getTaskMeasureStatusDict()
{
    if (ProMemory::getInstance().getMeasureStatusDict().isEmpty()) {
        SystemDao systemDao;
        systemDao.getTaskMeasureStatusDict();
    }
    return ProMemory::getInstance().getMeasureStatusDict();
}
